Loading...
Searching...
No Matches
gap_decorator.hpp File Reference

Provides seqan3::gap_decorator. More...

`#include <algorithm>`
`#include <limits>`
`#include <ranges>`
`#include <set>`
`#include <tuple>`
`#include <type_traits>`
`#include <seqan3/alignment/exception.hpp>`
`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/alphabet/gap/gap.hpp>`
`#include <seqan3/alphabet/gap/gapped.hpp>`
`#include <seqan3/utility/views/type_reduce.hpp>`
Include dependency graph for gap_decorator.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::gap_decorator< inner_type >
| A gap decorator allows the annotation of sequences with gap symbols while leaving the underlying sequence unmodified. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

Type deduction guides
template<std::ranges::viewable_range urng_t> requires (!std::ranges::view<std::remove_reference_t<urng_t>>)
| seqan3::gap_decorator (urng_t &&range) -> gap_decorator< std::remove_reference_t< urng_t > const & >
| Ranges (not views!) always deduce to const & range_type since they are access-only anyway.
template<std::ranges::view urng_t>
| seqan3::gap_decorator (urng_t range) -> gap_decorator< urng_t >
| Views always deduce to their respective type because they are copied.

## Detailed Description

Provides seqan3::gap_decorator.

Author
  Marie Hoffmann <marie.hoffmann AT fu-berlin.de>
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me